<rdn-wrapper [isLoading]="!!(isLoading$ | async)">
  <mat-card>
    <mat-card-header>
      <div class="buttons-container">
        <button (click)="createDocumentType()" mat-raised-button>
          Створити тип документу
        </button>
      </div>
    </mat-card-header>
    <mat-card-content>
      <rdn-table
        [data]="documentTypes$ | async"
        (deleted)="deleteDocumentType($event)"
        (edited)="editDocumentType($event)"
        (sortOrPaginationChanged)="fetchData($event)"></rdn-table>
    </mat-card-content>
  </mat-card>
</rdn-wrapper>
